classification
Title: IDLE subsection of What's New 3.7
Type: Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder: IDLE subsection of What's New 3.8
View: 33822
Assigned To: terry.reedy Nosy List: matrixise, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2018-06-10 17:32 by terry.reedy, last changed 2020-09-23 14:31 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7590 merged terry.reedy, 2018-06-10 17:55
PR 7593 merged miss-islington, 2018-06-10 18:16
PR 15036 merged terry.reedy, 2019-07-31 04:43
PR 15040 merged miss-islington, 2019-07-31 05:04
PR 15041 merged miss-islington, 2019-07-31 05:04
Messages (8)
msg319224 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-10 17:32
Following #33820, master issue for future IDLE entries in Doc/whatsnew/3.7.rst.  This doc has a section 'Improved Modules' with a subsection 'idlelib and IDLE'.  The initial unlabeled subsubsection includes important enhancements to IDLE since 3.6.0.  This issue starts with the last of these.

Because of IDLE's special backport policy, PEP 434, this initial part concludes with "The changes above have been backported to 3.6 maintenance releases."  Future subsubsections 'New in 3.7.z:', z >= 1, will follow for backport to 3.7.z.  It will close after the last 3.7 maintenance release.

This file also exists in the master (currently 3.8) branch.  Changes are applied to master and backported to 3.7.  Normally, entries will be the same as in What's New <Master>, but this will not exist in 3.6.  Hence each What's New file needs different backports.  Hence separate PRs are needed for auto backport to work.  It seems convenient to have separate issues for each.
msg319230 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-10 18:15
New changeset 222f7f40339238b3d2c803849c75e682725449d7 by Terry Jan Reedy in branch 'master':
bpo-33821: Update idlelib subsection of What's New 3.7 (#7590)
https://github.com/python/cpython/commit/222f7f40339238b3d2c803849c75e682725449d7
msg319234 - (view) Author: miss-islington (miss-islington) Date: 2018-06-10 18:35
New changeset 1ed8294924a9a47fb6f98f88cc7340a5512c75c3 by Miss Islington (bot) in branch '3.7':
bpo-33821: Update idlelib subsection of What's New 3.7 (GH-7590)
https://github.com/python/cpython/commit/1ed8294924a9a47fb6f98f88cc7340a5512c75c3
msg319794 - (view) Author: St├ęphane Wirtel (matrixise) * (Python committer) Date: 2018-06-16 23:06
Hi Terry,

not sure, but your PR have been merged, but this issue should be closed, do you confirm?
msg319795 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-16 23:46
There will be more IDLE entries when features are added to maintenance releases.  See What's New 3.6 for examples, and PEP 434 for further explanation.  I prefer to have one issue for all patches to that section.
msg348781 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-31 05:04
New changeset 5982b7201b84bfd24a1c2b2836401afee1cad8a7 by Terry Jan Reedy in branch 'master':
bpo-33821: Update IDLE section of What's New 3.7 (#15036)
https://github.com/python/cpython/commit/5982b7201b84bfd24a1c2b2836401afee1cad8a7
msg348786 - (view) Author: miss-islington (miss-islington) Date: 2019-07-31 05:23
New changeset 9e044ddefd5e02cf0ffac52bcbae6a21a677d257 by Miss Islington (bot) in branch '3.8':
bpo-33821: Update IDLE section of What's New 3.7 (GH-15036)
https://github.com/python/cpython/commit/9e044ddefd5e02cf0ffac52bcbae6a21a677d257
msg348788 - (view) Author: miss-islington (miss-islington) Date: 2019-07-31 05:24
New changeset 8c6e35d2d21928d3e611c39399099e69532952a9 by Miss Islington (bot) in branch '3.7':
bpo-33821: Update IDLE section of What's New 3.7 (GH-15036)
https://github.com/python/cpython/commit/8c6e35d2d21928d3e611c39399099e69532952a9
History
Date User Action Args
2020-09-23 14:31:39terry.reedysetstatus: open -> closed
superseder: IDLE subsection of What's New 3.8
resolution: fixed
stage: patch review -> resolved
2019-07-31 05:24:46miss-islingtonsetmessages: + msg348788
2019-07-31 05:23:08miss-islingtonsetmessages: + msg348786
2019-07-31 05:04:46miss-islingtonsetpull_requests: + pull_request14798
2019-07-31 05:04:40miss-islingtonsetpull_requests: + pull_request14797
2019-07-31 05:04:32terry.reedysetmessages: + msg348781
2019-07-31 04:43:52terry.reedysetpull_requests: + pull_request14793
2019-07-29 22:09:41terry.reedylinkissue33820 superseder
2018-06-16 23:46:03terry.reedysetmessages: + msg319795
2018-06-16 23:06:27matrixisesetnosy: + matrixise
messages: + msg319794
2018-06-10 18:35:24miss-islingtonsetnosy: + miss-islington
messages: + msg319234
2018-06-10 18:16:14miss-islingtonsetpull_requests: + pull_request7215
2018-06-10 18:15:06terry.reedysetmessages: + msg319230
2018-06-10 17:55:23terry.reedysetkeywords: + patch
stage: patch review
pull_requests: + pull_request7212
2018-06-10 17:32:06terry.reedycreate